Bug 1106709 - znc-infobot: FTBFS in rawhide
Summary: znc-infobot: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: znc-infobot
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Keiran Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 17:09 UTC by Dennis Gilmore
Modified: 2014-07-08 04:01 UTC (History)
3 users (show)

Fixed In Version: znc-infobot-1.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 04:01:54 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.05 KB, text/plain)
2014-06-09 17:09 UTC, Dennis Gilmore
no flags Details
root.log (72.39 KB, text/plain)
2014-06-09 17:09 UTC, Dennis Gilmore
no flags Details
state.log (939 bytes, text/plain)
2014-06-09 17:09 UTC, Dennis Gilmore
no flags Details
Patch for rawhide (808 bytes, patch)
2014-06-11 21:14 UTC, Yaakov Selkowitz
no flags Details | Diff
git format-patch (1.08 KB, patch)
2014-06-27 00:04 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 17:09:49 UTC
Your package znc-infobot failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6978278

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 17:09:51 UTC
Created attachment 905090 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 17:09:53 UTC
Created attachment 905091 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 17:09:54 UTC
Created attachment 905092 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-11 21:14:21 UTC
Created attachment 907871 [details]
Patch for rawhide

Cause is hard dependency on znc = 1.2, where that is now up to 1.4 in rawhide.  Fix is to bump version to force rebuild; patch for rawhide attached.

Comment 5 Yaakov Selkowitz 2014-06-27 00:04:36 UTC
Created attachment 912610 [details]
git format-patch

Note that this isn't a real version bump.  The sources are exactly the
same; all %version does is make these rebuilds necessary for each
version bump in znc.


Note You need to log in before you can comment on or make changes to this bug.